# Pmodules tools

[![Pipeline](https://gitea.psi.ch/HPCE/Pmodules_tools/actions/workflows/pmodules_check.yml/badge.svg?branch=master)](https://gitea.psi.ch/HPCE/Pmodules_tools)

## Pages

[Pmodules Database Report](https://hpce.pages.psi.ch/Pmodules_tools/)

## Intro
A python project to analyse Pmodules modules and their status changes.

There are for the moment two possible checks:

1) Dependency checker <br>
   Check for module dependencies status and change their status accordingly.

2) Pmodules Database checker <br>
   Report new, deleted or changed modules, write it to the database and print changes to pmodules_changes.md.

## Usage
On Merlin need to first load a Python3:

```sh
module load Python
```

### CLI help interface

```sh
python3 pmodules_tools/pmodules_tools.py --help
```

### Dependency checker

```sh
python3 pmodules_tools/pmodules_tools.py --deps-check # or -d
```

### Pmodules Database checker

```sh
python3 pmodules_tools/pmodules_tools.py --db-check # or -w
```
